ODD Webhook & Decision Making
Ongoing Due Diligence (ODD) is the continuous monitoring of AML decisions against the search activities to detect deviation and ensure compliance with Anti-Money Laundering (AML) regulations.
ODD has been run in the background based on decision status and finding of oddStatus wise the response will push to the webhook URL.
Webhook Sample Response Format
{
"oddStatus": "new",
"oddSearchHistoryId": "SH_QXIATXMPtq",
"onboardDecisionId": "decision_8WX6knjWAs",
"searchObject": {
"mode": "advance",
"sdnType": "entity",
"searchParams": {
"name": "M.G. Vermietungsgesellschaft mbH",
"date": "1998-02-11",
"idNumber": "529900YKOMNKL9H6AD64",
"nationality": "Russia"
},
"level": "exact"
},
"searchDate": "2026-06-24",
"searchResults": [
{
"sanctionId": "SANCL_YDxfjH2WjR",
"sdnType": "entity",
"createdAt": "2025-08-27T23:12:42.643Z",
"updatedAt": "2026-07-01T00:37:51.276Z",
"caption": "V.M.G. Vermietungsgesellschaft mbH",
"datasets": [
"LEI Reference Data"
],
"address": [
"Arabellastraße 12, 81925 München"
],
"incorporationDate": [
"1998-02-11"
],
"scoreResults": {
"matchScore": 90,
"riskScore": 100
},
"topicTags": [
"Sanction-linked entity"
],
"idNumber": [
"HRB 119456",
"529900YKOMNKL9H6AD64"
],
"birthDate": [],
"gender": [],
"phone": [],
"country": [],
"nationality": [],
"topics": []
}
],
"relation": {
"decision": {
"meta": {
"actionButton": [
"true_match",
"no_match",
"false_positive"
]
}
}
}
}ODD Decision Making API
This API is used to make ODD (Ongoing Due Diligence) decisions based on ODD deviation findings. It supports decision-making for new, updated, and deleted ODD records.
The ODD decision process is used to continuously monitor AML decisions and ensure that any changes identified during ongoing due diligence are handled appropriately.
The API executes the decision based solely on the action requested by the client and updates the corresponding ODD records accordingly.
POST https://secctrl.tutelar.io/api/v1/aml/search/decision-make/:oddSearchHistoryId
Header
Content-Type
multipart/form-data
Sample Response
Path param values
oddSearchHistoryId
String
yes
ODD Search history Id will be generated for every Individual search made in the client panel.
Post values are:
decisionStatus
String
Yes
Status of a Decision ( "true_match," "false_positive," or "no_match" and "track" )
sanctionId
String
Yes
sanctionId is a unique identifier. It is required to make a decision only when searchResults data is available. If the decision is Track, the sanctionId is not required for the AML standalone search product.
remarks
String
No
Add remarks for decision purpose.
file
Binary
No
Upload reference documents for decision.
Sample post data format
If make decision for aml alone search result
Success response :
Failure response :
Last updated